org.jgroups.stack

## Class StateTransferInfo

- java.lang.Object
- - org.jgroups.stack.StateTransferInfo

-     public class StateTransferInfo
      extends java.lang.Object

  Contains parameters for state transfer. Exchanged between channel and STATE_TRANSFER layer. The state is retrieved from 'target'. If target is null, then the state will be retrieved from the oldest member (usually the coordinator).
  Author:
    Bela Ban

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `java.io.InputStream` | `inputStream`
    `java.io.OutputStream` | `outputStream`
    `byte[]` | `state`
    `java.lang.String` | `state_id`
    `Address` | `target`
    `long` | `timeout`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `StateTransferInfo()`
    `StateTransferInfo(Address target)`
    `StateTransferInfo(Address target, java.io.InputStream is, java.lang.String state_id)`
    `StateTransferInfo(Address target, long timeout)`
    `StateTransferInfo(Address target, java.io.OutputStream os, java.lang.String state_id)`
    `StateTransferInfo(Address target, java.lang.String state_id, long timeout)`
    `StateTransferInfo(Address target, java.lang.String state_id, long timeout, byte[] state)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `StateTransferInfo` | `copy()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### target

          public Address target

    - #### timeout

          public long timeout

    - #### state

          public byte[] state

    - #### state_id

          public java.lang.String state_id

    - #### inputStream

          public java.io.InputStream inputStream

    - #### outputStream

          public java.io.OutputStream outputStream

  - ### Constructor Detail

    - #### StateTransferInfo

          public StateTransferInfo()

    - #### StateTransferInfo

          public StateTransferInfo(Address target)

    - #### StateTransferInfo

          public StateTransferInfo(Address target,
                           long timeout)

    - #### StateTransferInfo

          public StateTransferInfo(Address target,
                           java.lang.String state_id,
                           long timeout)

    - #### StateTransferInfo

          public StateTransferInfo(Address target,
                           java.lang.String state_id,
                           long timeout,
                           byte[] state)

    - #### StateTransferInfo

          public StateTransferInfo(Address target,
                           java.io.InputStream is,
                           java.lang.String state_id)

    - #### StateTransferInfo

          public StateTransferInfo(Address target,
                           java.io.OutputStream os,
                           java.lang.String state_id)

  - ### Method Detail

    - #### copy

          public StateTransferInfo copy()

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Copyright © 1998-2009 Bela Ban / Red Hat. All Rights Reserved.